/// <reference types="react" />
import LoadingAndErrorWrapper from "@metabase/embedding-sdk-react/dist/frontend/src/metabase/components/LoadingAndErrorWrapper";
export declare const LoadingAndErrorRoot: import("@emotion/styled").StyledComponent<Pick<import("prop-types").InferProps<{
    className: import("prop-types").Requireable<string>;
    error: import("prop-types").Requireable<any>;
    loading: import("prop-types").Requireable<any>;
    noBackground: import("prop-types").Requireable<boolean>;
    noWrapper: import("prop-types").Requireable<boolean>;
    children: import("prop-types").Requireable<any>;
    style: import("prop-types").Requireable<object>;
    showSpinner: import("prop-types").Requireable<boolean>;
    loadingMessages: import("prop-types").Requireable<any[]>;
    messageInterval: import("prop-types").Requireable<number>;
    loadingScenes: import("prop-types").Requireable<any[]>;
    renderError: import("prop-types").Requireable<(...args: any[]) => any>;
    "data-testid": import("prop-types").Requireable<string>;
}>, "children" | "style" | "className" | "data-testid" | "renderError" | "loadingScenes"> & {
    error?: any;
    loading?: any;
    loadingMessages?: any[] | null | undefined;
    messageInterval?: number | null | undefined;
    noBackground?: boolean | null | undefined;
    noWrapper?: boolean | null | undefined;
    showSpinner?: boolean | null | undefined;
} & {} & {
    theme?: import("@emotion/react").Theme | undefined;
}, {}, {
    ref?: import("react").Ref<LoadingAndErrorWrapper> | undefined;
}>;
